Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.io.datastore.sql.transaction
Class UpdateHandler

    java.lang.Object
      org.deegree.io.datastore.sql.AbstractRequestHandler
          org.deegree.io.datastore.sql.transaction.UpdateHandler

    public class UpdateHandler

extends AbstractRequestHandler

Handler for `Update` operations (usually contained in `Transaction` requests).

Version:
  $Revision: 19436 $, $Date: 2009-08-31 16:37:44 +0200 (Mo, 31. Aug 2009) $
Author:
  Markus Schneider, last edited by: $Author: rbezema $

Field Summary

Fields inherited from class org.deegree.io.datastore.sql.AbstractRequestHandler
`aliasGenerator, conn, datastore, FT_COLUMN, FT_PREFIX`

Constructor Summary
`UpdateHandler(SQLTransaction dsTa, TableAliasGenerator aliasGenerator, Connection conn, String lockId)` Creates a new `UpdateHandler` from the given parameters.

Method Summary
`int` | `performUpdate(MappedFeatureType mappedFeatureType, Feature replacementFeature, Filter filter)` Performs an update operation (replace-style) against the associated datastore.
`int` | `performUpdate(MappedFeatureType ft, Map<PropertyPath,FeatureProperty> replacementProps, Filter filter)` Performs an update operation against the associated datastore.

Methods inherited from class org.deegree.io.datastore.sql.AbstractRequestHandler
`appendColumnsList, appendFeatureIdColumns, appendFeatureIdConstraint, appendFeatureIdConstraint, appendJoinCondition, appendJoins, appendQualifiedColumn, appendQualifiedColumnsList, determineAffectedAndModifiableFIDs, determineAffectedFIDs, determineSubFeatures, determineSuperFeatures, extractFeatureId, extractFeatureIds, extractFeatureIdsForceUnique`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UpdateHandler

    public UpdateHandler(SQLTransaction dsTa,
                         TableAliasGenerator aliasGenerator,
                         Connection conn,
                         String lockId)

  Creates a new `UpdateHandler` from the given parameters.

  Parameters:
    `dsTa` -
    `aliasGenerator` -
    `conn` -
    `lockId` - optional id of associated lock (may be null)

Method Detail

### performUpdate

    public int performUpdate(MappedFeatureType ft,
                             Map<PropertyPath,FeatureProperty> replacementProps,
                             Filter filter)
                      throws DatastoreException

  Performs an update operation against the associated datastore.

  Parameters:
    `ft` -
    `replacementProps` -
    `filter` -
  Returns:
    number of updated (root) feature instances
  Throws:
    `DatastoreException`

### performUpdate

    public int performUpdate(MappedFeatureType mappedFeatureType,
                             Feature replacementFeature,
                             Filter filter)
                      throws DatastoreException

  Performs an update operation (replace-style) against the associated datastore.

  All features matched by the given filter are altered, so their properties are identical to those of the specified replacement feature.

  NOTE: Currently, the contained feature must not contain any feature-valued properties or multi-properties.

  Parameters:
    `mappedFeatureType` -
    `replacementFeature` -
    `filter` -
  Returns:
    number of updated (root) feature instances
  Throws:
    `DatastoreException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org